[metadata]
name = oslo.cache
summary = Cache storage for OpenStack projects.
description_file =
    README.rst
author = OpenStack
author_email = openstack-discuss@lists.openstack.org
home_page = https://docs.openstack.org/oslo.cache/latest
python_requires = >=3.8
classifier =
    Environment :: OpenStack
    Intended Audience :: Information Technology
    Intended Audience :: System Administrators
    License :: OSI Approved :: Apache Software License
    Operating System :: POSIX :: Linux
    Programming Language :: Python
    Programming Language :: Python :: 3 :: Only
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9

[files]
packages =
    oslo_cache

[entry_points]
oslo.config.opts =
    oslo.cache = oslo_cache._opts:list_opts

dogpile.cache =
    oslo_cache.mongo = oslo_cache.backends.mongo:MongoCacheBackend
    oslo_cache.memcache_pool = oslo_cache.backends.memcache_pool:PooledMemcachedBackend
    oslo_cache.dict = oslo_cache.backends.dictionary:DictCacheBackend
    oslo_cache.etcd3gw = oslo_cache.backends.etcd3gw:Etcd3gwCacheBackend

[extras]
dogpile =
  python-memcached>=1.56 # PSF
  pymemcache>=3.5.0 # Apache-2.0
  python-binary-memcached>=0.29.0 # MIT
mongo =
  pymongo!=3.1,>=3.0.2 # Apache-2.0
etcd3gw =
  etcd3gw>=0.2.0 # Apache-2.0
